/*
Copyright Notice
================
BOCHS is Copyright 1994 by Kevin P. Lawton.

BOCHS is shareware for PERSONAL USE only.

For more information, read the file 'LICENSE' included in the bochs
distribution.  If you don't have access to this file, or have questions
regarding the licensing policy, the author may be contacted via:

    US Mail:  Kevin Lawton
              528 Lexington St.
              Waltham, MA 02154

    EMail:    bochs@tiac.net
*/





#include "bx_bochs.h"




void bx_FCOMP_STi() {bx_invalid_instruction();}

/* NDP ESC 0 */
void bx_FADD_Es() {bx_invalid_instruction();}
void bx_FMUL_Es() {bx_invalid_instruction();}
void bx_FCOM_Es() {bx_invalid_instruction();}
void bx_FCOMP_Es() {bx_invalid_instruction();}
void bx_FSUB_Es() {bx_invalid_instruction();}
void bx_FSUBR_Es() {bx_invalid_instruction();}
void bx_FDIV_Es() {bx_invalid_instruction();}
void bx_FDIVR_Es() {bx_invalid_instruction();}

void bx_FADD_ST_STi() {bx_invalid_instruction();}
void bx_FMUL_ST_STi() {bx_invalid_instruction();}
void bx_FCOM_ST_STi() {bx_invalid_instruction();}
void bx_FCOMP_ST_STi() {bx_invalid_instruction();}
void bx_FSUB_ST_STi() {bx_invalid_instruction();}
void bx_FSUBR_ST_STi() {bx_invalid_instruction();}
void bx_FDIV_ST_STi() {bx_invalid_instruction();}
void bx_FDIVR_ST_STi() {bx_invalid_instruction();}

/* NDP ESC 1 */
void bx_FLD_STi() {bx_invalid_instruction();}
void bx_FXCH_STi() {bx_invalid_instruction();}

void bx_FLD_Es() {bx_invalid_instruction();}
/* NULL, INVALID */
void bx_FST_Es() {bx_invalid_instruction();}
void bx_FSTP_Es() {bx_invalid_instruction();}
void bx_FLDENV_Ea() {bx_invalid_instruction();}
void bx_FLDCW_Ew() {bx_invalid_instruction();}
void bx_FSTENV_Ea() {bx_invalid_instruction();}
void bx_FSTCW_Ew() {bx_invalid_instruction();}



void bx_FNOP() {bx_invalid_instruction();}
/* NULL, INVALID */
void bx_FCHS() {bx_invalid_instruction();}
void bx_FLD1() {bx_invalid_instruction();}
void bx_F2XM1() {bx_invalid_instruction();}
void bx_FPREM() {bx_invalid_instruction();}


/* NULL, INVALID */
/* NULL, INVALID */
void bx_FABS() {bx_invalid_instruction();}
void bx_FLDL2T() {bx_invalid_instruction();}
void bx_FYL2X() {bx_invalid_instruction();}
void bx_FYL2XP1() {bx_invalid_instruction();}


/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */
void bx_FLDL2E() {bx_invalid_instruction();}
void bx_FPTAN() {bx_invalid_instruction();}
void bx_FSQRT() {bx_invalid_instruction();}

void bx_FXCH_3() {bx_invalid_instruction();}
/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */
void bx_FLDPI() {bx_invalid_instruction();}
void bx_FPATAN() {bx_invalid_instruction();}
void bx_FSINCOS() {bx_invalid_instruction();}


/* NULL, INVALID */
/* NULL, INVALID */
void bx_FTST() {bx_invalid_instruction();}
void bx_FLDLG2() {bx_invalid_instruction();}
void bx_FXTRACT() {bx_invalid_instruction();}
void bx_FRNDINT() {bx_invalid_instruction();}


/* NULL, INVALID */
/* NULL, INVALID */
void bx_FXAM() {bx_invalid_instruction();}
void bx_FLDLN2() {bx_invalid_instruction();}
void bx_FPREM1() {bx_invalid_instruction();}
void bx_FSCALE() {bx_invalid_instruction();}


/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */
void bx_FLDZ() {bx_invalid_instruction();}
void bx_FDECSTP() {bx_invalid_instruction();}
void bx_FSIN() {bx_invalid_instruction();}

/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */
void bx_FINCSTP() {bx_invalid_instruction();}
void bx_FCOS() {bx_invalid_instruction();}

/* NDP ESC 2 */
void bx_FIADD_Ew() {bx_invalid_instruction();}
void bx_FIMUL_Ew() {bx_invalid_instruction();}
void bx_FICOM_Ew() {bx_invalid_instruction();}
void bx_FICOMP_Ew() {bx_invalid_instruction();}
void bx_FISUB_Ew() {bx_invalid_instruction();}
void bx_FISUBR_Ew() {bx_invalid_instruction();}
void bx_FIDIV_Ew() {bx_invalid_instruction();}
void bx_FIDIVR_Ew() {bx_invalid_instruction();}

/* NULL, INVALID */
void bx_FUCOMPP() {bx_invalid_instruction();}
/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */

/* NDP ESC 3 */
void bx_FILD_Ew() {bx_invalid_instruction();}
/* NULL, INVALID */
void bx_FIST_Ew() {bx_invalid_instruction();}
void bx_FISTP_Ew() {bx_invalid_instruction();}
void bx_FLD_Et() {bx_invalid_instruction();}
/* NULL, INVALID */
void bx_FSTP_Et() {bx_invalid_instruction();}
/* NULL, INVALID */

/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, GROUP3A */
/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */

/* NDP ESC 3, GROUP3a */
void bx_FENI() {bx_invalid_instruction();}
void bx_FDISI() {bx_invalid_instruction();}
void bx_FCLEX() {bx_invalid_instruction();}
void bx_FINIT() {bx_invalid_instruction();}
void bx_FSETPM() {bx_invalid_instruction();}
/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */

/* NDP ESC 4 */
void bx_FADD_El() {bx_invalid_instruction();}
void bx_FMUL_El() {bx_invalid_instruction();}
void bx_FCOM_El() {bx_invalid_instruction();}
void bx_FCOMP_El() {bx_invalid_instruction();}
void bx_FSUB_El() {bx_invalid_instruction();}
void bx_FSUBR_El() {bx_invalid_instruction();}
void bx_FDIV_El() {bx_invalid_instruction();}
void bx_FDIVR_El() {bx_invalid_instruction();}

void bx_FADD_STi_ST() {bx_invalid_instruction();}
void bx_FMUL_STi_ST() {bx_invalid_instruction();}
void bx_FCOM_STi_ST() {bx_invalid_instruction();}
void bx_FCOMP_STi_ST() {bx_invalid_instruction();}
void bx_FSUB_STi_ST() {bx_invalid_instruction();}
void bx_FSUBR_STi_ST() {bx_invalid_instruction();}
void bx_FDIV_STi_ST() {bx_invalid_instruction();}
void bx_FDIVR_STi_ST() {bx_invalid_instruction();}

/* NDP ESC 5 */
void bx_FLD_El() {bx_invalid_instruction();}
/* NULL, INVALID */
void bx_FST_El() {bx_invalid_instruction();}
void bx_FSTP_El() {bx_invalid_instruction();}
void bx_FRSTOR_Ea() {bx_invalid_instruction();}
/* NULL, INVALID */
void bx_FSAVE_Ea() {bx_invalid_instruction();}
void bx_FSTSW_Ew() {bx_invalid_instruction();}

void bx_FFREE_STi() {bx_invalid_instruction();}
/* NULL, INVALID */
void bx_FST_STi() {bx_invalid_instruction();}
void bx_FSTP_STi() {bx_invalid_instruction();}
void bx_FUCOM_STi_ST() {bx_invalid_instruction();}
void bx_FUCOMP_STi() {bx_invalid_instruction();}
/* NULL, INVALID */
/* NULL, INVALID */

/* NDP ESC 6 */
void bx_FIADD_Ed() {bx_invalid_instruction();}
void bx_FIMUL_Ed() {bx_invalid_instruction();}
void bx_FICOM_Ed() {bx_invalid_instruction();}
void bx_FICOMP_Ed() {bx_invalid_instruction();}
void bx_FISUB_Ed() {bx_invalid_instruction();}
void bx_FISUBR_Ed() {bx_invalid_instruction();}
void bx_FIDIV_Ed() {bx_invalid_instruction();}
void bx_FIDIVR_Ed() {bx_invalid_instruction();}

void bx_FADDP_STi_ST() {bx_invalid_instruction();}
void bx_FMULP_STi_ST() {bx_invalid_instruction();}
/* NULL, INVALID */
void bx_FCOMPP() {bx_invalid_instruction();}
void bx_FSUBP_STi_ST() {bx_invalid_instruction();}
void bx_FSUBRP_STi_ST() {bx_invalid_instruction();}
void bx_FDIVP_STi_ST() {bx_invalid_instruction();}
void bx_FDIVRP_STi_ST() {bx_invalid_instruction();}

/* NDP ESC 7 */
void bx_FILD_Ed() {bx_invalid_instruction();}
/* NULL, INVALID */
void bx_FIST_Ed() {bx_invalid_instruction();}
void bx_FISTP_Ed() {bx_invalid_instruction();}
void bx_FBLD_Eb() {bx_invalid_instruction();}
void bx_FILD_Eq() {bx_invalid_instruction();}
void bx_FBSTP_Eb() {bx_invalid_instruction();}
void bx_FISTP_Eq() {bx_invalid_instruction();}

void bx_FSTSW_AX() {bx_invalid_instruction();}
/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */
/* NULL, INVALID */
